@import "./_variables.module.css";

.ItemDetails {
  flex: 3 1;
  order: 2;
  background: linear-gradient(124.01deg, #2d3038 0%, rgba(45, 48, 56, 0) 100%);
  border-radius: 30px;
  margin: 10px 30px;
  text-align: left;
  padding: 40px;
}

.loader {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.name {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 64px;
  line-height: 74px;
  margin: 0;
  color: var(--text-white);
}

.email {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  margin: 0;
  color: var(--text-grey);
}

.cargoSubTitle {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  margin-top: 25px;
  text-transform: uppercase;
  color: var(--text-grey);
}

.boxes {
  background: var(--text-white);
  border-radius: 10px;
  min-width: 200px;
  padding: 10px;
  min-height: 19px;
  width: fit-content;
}

.requireSdubTitle {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 34px;
  line-height: 44px;
  margin: 30px 0 0 0;
  color: var(--text-grey);
}

.requiredBays {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 56px;
  margin: 0;
  color: var(--text-white);
}

.ItemDetails img {
  text-align: center;
}

.notFound {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 28px;
  line-height: 24px;
  color: #fff;
  text-align: center;
  align-self: center;
}

@media screen and (max-width: 600px) {
  .ItemDetails {
    padding: 20px;
    margin: 10px;
    min-height: 40vh;
  }

  .boxes {
    width: auto;
  }

  .name {
    font-size: 28px;
    line-height: 38px;
  }

  .requireSdubTitle {
    text-align: center;
    font-size: 18px;
  }

  .requiredBays {
    text-align: center;
    font-size: 34px;
  }
}
